Running jenkins and vagrant+chef-client


#1

I’m trying to create a CI env for my cookbooks.

It seems I keep getting a failure on this:

[2013-10-11T15:18:09-05:00] FATAL: Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18

It seems on Aug 1, storm rider had the same trouble:

stormeriderhttp://community.opscode.com/users/stormerider something i’ve been seeing since i upgraded to 11.6.0 Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18. Any ideas?

Any chance anyone might remember how/what was done to get around this?

Thanks!

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722 | o: 512.977.5876


#2

I’m still running into this, intermittently.

On Friday, October 11, 2013, JJ Asghar wrote:

I’m trying to create a CI env for my cookbooks.

It seems I keep getting a failure on this:

[2013-10-11T15:18:09-05:00] FATAL: Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18

It seems on Aug 1, storm rider had the same trouble:

stormerider http://community.opscode.com/users/stormerider something
i’ve been seeing since i upgraded to 11.6.0 Gem::LoadError: can’t activate
highline-1.6.19, already activated highline-1.6.18. Any ideas?

Any chance anyone might remember how/what was done to get around this?

Thanks!

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com <javascript:_e({}, ‘cvml’,
‘jj.asghar@peopleadmin.com’);> | c: 512.619.0722 | o: 512.977.5876

~~ StormeRider ~~

“Every world needs its heroes […] They inspire us to be better than we
are. And they protect from the darkness that’s just around the corner.”

(from Smallville Season 6x1: “Zod”)

On why I hate the phrase “that’s so lame”… http://bit.ly/Ps3uSS


#3

Well that’s frustrating.

Anyone have any ideas to help us knock this guy out? I haven’t been able to recreate it outside of my jenkins env, so I’m at a loss on where to go from here.

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722 | o: 512.977.5876

From: Morgan Blackthorne <stormerider@gmail.commailto:stormerider@gmail.com>
Reply-To: "chef@lists.opscode.commailto:chef@lists.opscode.com" <chef@lists.opscode.commailto:chef@lists.opscode.com>
Date: Friday, October 11, 2013 3:47 PM
To: "chef@lists.opscode.commailto:chef@lists.opscode.com" <chef@lists.opscode.commailto:chef@lists.opscode.com>
Subject: [chef] Re: Running jenkins and vagrant+chef-client

I’m still running into this, intermittently.

On Friday, October 11, 2013, JJ Asghar wrote:
I’m trying to create a CI env for my cookbooks.

It seems I keep getting a failure on this:

[2013-10-11T15:18:09-05:00] FATAL: Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18

It seems on Aug 1, storm rider had the same trouble:

stormeriderhttp://community.opscode.com/users/stormerider something i’ve been seeing since i upgraded to 11.6.0 Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18. Any ideas?

Any chance anyone might remember how/what was done to get around this?

Thanks!

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com<javascript:_e({},%20’cvml’,%20’jj.asghar@peopleadmin.com’);> | c: 512.619.0722 | o: 512.977.5876

~~ StormeRider ~~

“Every world needs its heroes […] They inspire us to be better than we are. And they protect from the darkness that’s just around the corner.”

(from Smallville Season 6x1: “Zod”)

On why I hate the phrase “that’s so lame”… http://bit.ly/Ps3uSS


#4

This reminds me of the ruby issues i had when I started building out
jenkins for chef cookbooks. I had heaps of problems with rbenv/rvm and
ended up using chruby and chruby-exec for our jenkins jobs around
cookbooks. I also created specific rubies in chruby with just the gems
needed for the jenkins cookbook testing. this way I didn’t need bundler
and ensured that every run that it would work correctly. I can’t tell you
the exact problem here, but it seems like your gem deps aren’t in line with
everything you are trying to run.

– Jesse

On Fri, Oct 11, 2013 at 1:50 PM, JJ Asghar jj.asghar@peopleadmin.comwrote:

Well that’s frustrating.

Anyone have any ideas to help us knock this guy out? I haven’t been able
to recreate it outside of my jenkins env, so I’m at a loss on where to go
from here.

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722 | o: 512.977.5876

From: Morgan Blackthorne stormerider@gmail.com
Reply-To: "chef@lists.opscode.com" chef@lists.opscode.com
Date: Friday, October 11, 2013 3:47 PM
To: "chef@lists.opscode.com" chef@lists.opscode.com
Subject: [chef] Re: Running jenkins and vagrant+chef-client

I’m still running into this, intermittently.

On Friday, October 11, 2013, JJ Asghar wrote:

I’m trying to create a CI env for my cookbooks.

It seems I keep getting a failure on this:

[2013-10-11T15:18:09-05:00] FATAL: Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18

It seems on Aug 1, storm rider had the same trouble:

stormerider http://community.opscode.com/users/stormerider something
i’ve been seeing since i upgraded to 11.6.0 Gem::LoadError: can’t activate
highline-1.6.19, already activated highline-1.6.18. Any ideas?

Any chance anyone might remember how/what was done to get around this?

Thanks!

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722 | o: 512.977.5876

~~ StormeRider ~~

“Every world needs its heroes […] They inspire us to be better than we
are. And they protect from the darkness that’s just around the corner.”

(from Smallville Season 6x1: “Zod”)

On why I hate the phrase “that’s so lame”… http://bit.ly/Ps3uSS


#5

Ah cool, thanks.

I’ll play around with it some more, and report back any findings.

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722 | o: 512.977.5876

From: Jesse Nelson <spheromak@gmail.commailto:spheromak@gmail.com>
Reply-To: "chef@lists.opscode.commailto:chef@lists.opscode.com" <chef@lists.opscode.commailto:chef@lists.opscode.com>
Date: Friday, October 11, 2013 4:17 PM
To: chef <chef@lists.opscode.commailto:chef@lists.opscode.com>
Subject: [chef] Re: Re: Re: Running jenkins and vagrant+chef-client

This reminds me of the ruby issues i had when I started building out jenkins for chef cookbooks. I had heaps of problems with rbenv/rvm and ended up using chruby and chruby-exec for our jenkins jobs around cookbooks. I also created specific rubies in chruby with just the gems needed for the jenkins cookbook testing. this way I didn’t need bundler and ensured that every run that it would work correctly. I can’t tell you the exact problem here, but it seems like your gem deps aren’t in line with everything you are trying to run.

– Jesse

On Fri, Oct 11, 2013 at 1:50 PM, JJ Asghar <jj.asghar@peopleadmin.commailto:jj.asghar@peopleadmin.com> wrote:
Well that’s frustrating.

Anyone have any ideas to help us knock this guy out? I haven’t been able to recreate it outside of my jenkins env, so I’m at a loss on where to go from here.

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.commailto:jj.asghar@peopleadmin.com | c: 512.619.0722tel:512.619.0722 | o: 512.977.5876tel:512.977.5876

From: Morgan Blackthorne <stormerider@gmail.commailto:stormerider@gmail.com>
Reply-To: "chef@lists.opscode.commailto:chef@lists.opscode.com" <chef@lists.opscode.commailto:chef@lists.opscode.com>
Date: Friday, October 11, 2013 3:47 PM
To: "chef@lists.opscode.commailto:chef@lists.opscode.com" <chef@lists.opscode.commailto:chef@lists.opscode.com>
Subject: [chef] Re: Running jenkins and vagrant+chef-client

I’m still running into this, intermittently.

On Friday, October 11, 2013, JJ Asghar wrote:
I’m trying to create a CI env for my cookbooks.

It seems I keep getting a failure on this:

[2013-10-11T15:18:09-05:00] FATAL: Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18

It seems on Aug 1, storm rider had the same trouble:

stormeriderhttp://community.opscode.com/users/stormerider something i’ve been seeing since i upgraded to 11.6.0 Gem::LoadError: can’t activate highline-1.6.19, already activated highline-1.6.18. Any ideas?

Any chance anyone might remember how/what was done to get around this?

Thanks!

Best Regards,
JJ Asghar
e: jj.asghar@peopleadmin.com | c: 512.619.0722tel:512.619.0722 | o: 512.977.5876tel:512.977.5876

~~ StormeRider ~~

“Every world needs its heroes […] They inspire us to be better than we are. And they protect from the darkness that’s just around the corner.”

(from Smallville Season 6x1: “Zod”)

On why I hate the phrase “that’s so lame”… http://bit.ly/Ps3uSS